Loading...
Searching...
No Matches
BALL::MOLFile::Property Struct Reference

`#include <BALL/FORMAT/MOLFile.h>`

## Static Public Attributes

static const String | ATOM_MASS_DIFFERENCE
static const String | ATOM_HYDROGEN_COUNT
static const String | ATOM_STEREO_CARE_BOX
static const String | ATOM_VALENCE
static const String | ATOM_H0_DESIGNATOR
static const String | ATOM_REACTION_COMPONENT_TYPE
static const String | ATOM_REACTION_COMPONENT_NUMBER
static const String | ATOM_INVERSION_RETENTION
static const String | ATOM_EXACT_CHANGE
static const String | BOND_STEREO
static const String | BOND_TOPOLOGY
static const String | BOND_REACTING_CENTER_STATUS

## Detailed Description

String constants used for named properties. Some of the data read from MOL files cannot be stored immediately in the kernel datastructures, so they are stored as NamedProperty objects in Atom and Bond . These string constants are used to access the corresponding fields of the atom and bond block of the MOL file.

See also
  PropertyManager::setProperty
  PropertyManager::getProperty

Definition at line 44 of file MOLFile.h.

## Member Data Documentation

## ATOM_EXACT_CHANGE

const String BALL::MOLFile::Property::ATOM_EXACT_CHANGE

static

Definition at line 63 of file MOLFile.h.

## ATOM_H0_DESIGNATOR

const String BALL::MOLFile::Property::ATOM_H0_DESIGNATOR

static

Definition at line 55 of file MOLFile.h.

## ATOM_HYDROGEN_COUNT

const String BALL::MOLFile::Property::ATOM_HYDROGEN_COUNT

static

Definition at line 49 of file MOLFile.h.

## ATOM_INVERSION_RETENTION

const String BALL::MOLFile::Property::ATOM_INVERSION_RETENTION

static

Definition at line 61 of file MOLFile.h.

## ATOM_MASS_DIFFERENCE

const String BALL::MOLFile::Property::ATOM_MASS_DIFFERENCE

static

Definition at line 47 of file MOLFile.h.

## ATOM_REACTION_COMPONENT_NUMBER

const String BALL::MOLFile::Property::ATOM_REACTION_COMPONENT_NUMBER

static

Definition at line 59 of file MOLFile.h.

## ATOM_REACTION_COMPONENT_TYPE

const String BALL::MOLFile::Property::ATOM_REACTION_COMPONENT_TYPE

static

Definition at line 57 of file MOLFile.h.

## ATOM_STEREO_CARE_BOX

const String BALL::MOLFile::Property::ATOM_STEREO_CARE_BOX

static

Definition at line 51 of file MOLFile.h.

## ATOM_VALENCE

const String BALL::MOLFile::Property::ATOM_VALENCE

static

Definition at line 53 of file MOLFile.h.

## BOND_REACTING_CENTER_STATUS

const String BALL::MOLFile::Property::BOND_REACTING_CENTER_STATUS

static

Definition at line 70 of file MOLFile.h.

## BOND_STEREO

const String BALL::MOLFile::Property::BOND_STEREO

static

Definition at line 66 of file MOLFile.h.

## BOND_TOPOLOGY

const String BALL::MOLFile::Property::BOND_TOPOLOGY

static

Definition at line 68 of file MOLFile.h.